function fig = md_input(zadany_jazyk)
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
% This problem is solved by saving the output as a FIG-file.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.
% 
% NOTE: certain newer features in MATLAB may not have been saved in this
% M-file due to limitations of this format, which has been superseded by
% FIG-files.  Figures which have been annotated using the plot editor tools
% are incompatible with the M-file/MAT-file format, and should be saved as
% FIG-files.

close
global jazyk scrsz
jazyk=zadany_jazyk;
load md_input
texty=[{'Mikropskov dipl','Kmitoet [GHz]:','Dlka diplu [mm]:','ka diplu [mm]:','Vka substrtu [mm]:','Rel. permitivita substrtu:','Pokrauj'};
{'Microstrip dipole','Frequency [GHz]:','Lenght of dipole [mm]:','Width of dipole [mm]:','Height of substrate [mm]:','Rel. permitivity of substrate:','Continue'}];

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'FileName','md_input.m', ...
	'MenuBar','none', ...
	'Name',texty{jazyk,1}, ...
	'NumberTitle','off', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'Position',[scrsz(3)/2-130 scrsz(4)/2-115 260 230], ...
	'Tag','mdip', ...
	'ToolBar','none');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[15 145 90 12], ...
	'String',texty{jazyk,2}, ...
	'Style','text', ...
	'Tag','kmitt');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[140 145 35 15], ...
	'String','6', ...
	'Style','edit', ...
	'Tag','frekvence');

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[15 120 100 12], ...
	'String',texty{jazyk,3}, ...
	'Style','text', ...
	'Tag','delkadipt');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[140 120 35 15], ...
	'String','20', ...
	'Style','edit', ...
	'Tag','delka');

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[15 95 80 12], ...
	'String',texty{jazyk,4}, ...
	'Style','text', ...
	'Tag','sirkat');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[140 95 35 15], ...
	'String','1', ...
	'Style','edit', ...
	'Tag','sirka');

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[15 70 100 12], ...
	'String',texty{jazyk,5}, ...
	'Style','text', ...
	'Tag','vyskat');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[140 70 35 15], ...
	'String','10', ...
	'Style','edit', ...
	'Tag','vyska');

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'HorizontalAlignment','left', ...
	'ListboxTop',0, ...
	'Position',[15 45 120 12], ...
	'String',texty{jazyk,6}, ...
	'Style','text', ...
	'Tag','permitivita');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[140 45 35 15], ...
	'String','2', ...
	'Style','edit', ...
	'Tag','permit');

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'Callback','dipole', ...
	'ListboxTop',0, ...
	'Position',[55 18 80 15], ...
	'String',texty{jazyk,7}, ...
	'Tag','Pushbutton1');
if nargout > 0, fig = h0; end
